QGIS Application - Feature request #13465
Identify Results panel : clicking on "Clear results"” should close all feature attribute's form
2015-09-30 07:57 AM - Harrissou Santanna

Status: Open

Priority: High

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21512
Description

When you've features highlighted in the GUI, you can change "unhighlight" them with the "Clear results" tool in the "ldentify results" panel.
This works only and only if none of the features has its form opened. Otherwise opened form features will be kept highlighted (which is
useless since there's AFAICS no stable way to know to which feature belongs each form). If you have opened many forms, then the only
solution you have is to find and close each attribute's form(s). A little boring.

Since clicking on the "Clear results" button means that | don't want features highlighted, | think it should also close all the forms opened.

Related issues:
Related to QGIS Application - Bug report # 13520: multiple Feature Attributes... Closed 2015-10-05

History

#1 - 2015-10-19 03:57 AM - Harrissou Santanna

Another thing is that you get features highlighted in the map canvas (because their form are opened) but no value is shown in the "ldentify Results" panel.

People can be confused.

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-08-14 03:45 PM - Juirgen Fischer

- Related to Bug report #13520: multiple Feature Attributes forms can be opened for the same feature when Identified added
